Google

29 окт. 2009 г.

JavaFX и Eclipse в Debian Lenny

С установкой JavaFx в netbeans проблем не возникает: скачиваем с сайта Sun Netbens с поддержкой JavaFX, устанавливаем и радуемся жизни. С Eclipse дела обстоят немного иначе: необходимо проделать небольшое количество манипуляций.
Для начала прежде всего скачиваем javafx Далее читаем статью по установке JavaFX. Сразу хочется обратить внимание на то, что если файл javafx_sdk-1_2_1-linux-i586.sh был скачан в папку /home/user/javafx, то при установке JavaFX будет установлена в эту папку, не забываем об этом. И еще: после запуска файла на установку необходимо будет прочитать лицензионное соглашение. Ну как прочитать, зажать клавишу Enter и подождать пока лицензия пролистается до конца :) , после чего подтверждаем, что согласны с этим лицензионным соглашением. Установка проблем вызвать не должна, да и остальные действия также трудностей не вызывают. Итак, едем дальше...

6 сент. 2009 г.

Google chromium в Debian

Итак, устанавливаем Google chromium в Debian. На момент написания статьи версия - unstable.
Перед установкой заглядываем в документацию  разработчиков Chromium, в которой можно прочитать про ветки хрома: стабльная, бета, нестабильная. Кроме того, там же можно прочитать информацию по установке для различных ОС. Нас же интересует информация по установке для Linux.

Для начала скачиваем сам Chronium для Debian:
32-битная версия;
64-битная версия;
От супервользователя вводим команду:
touch /etc/default/google-chrome 
Данная команда позволит добавит во время установки репозиторий chromium, что позволит автоматически искать обновления для броузера.

Теперь устанавливаем непосредственно сам броузер:
 dpkg -i google-chrome-unstable_current_amd64.deb 

После установки можно выбрать любую из понравившихся тем

1 сент. 2009 г.

Приводим TuxGuitar в чувства

TuxGuitar-один(если не единственный) достойный вариант и достойная замена (среди свободного ПО)  Guitar-у Pro. TuxGuitar включает в себя:
- редактор табулатур;
- автоматическую прокрутку во время воспроизведения;
- импорт/экспорт gp3, gp4 и gp5 файлов;
- управление продолжительностью звучания нот;
-  различные эффекты (bend, slide, vibrato, hummer-on/pull-off)
- и др.

22 авг. 2009 г.

Альтернатива TotalComamnder в Debian Lenny

Давно искал для себя коаммандер, схожий по функционалу и удобству с TotalCommander. Пробовал разлинчые файловые менеджеры, начиная от gnome-commander и заканчивая mc. У всех у них были свои преимущества и недостатки, ощущались какие-то неудобства. И вот случайно наткнулся на давольно-таки неплохой и симпатичный файловый менеджер.
Имя этому менеджеру-mucommander-легкий, кросс-платформенный файловый менеджер, имеющий внешние сходства с NortonCommander и, работаюший на различный операционных системах, поддерживающих Java (Mac OS X, Windows, Linux, *BSD, Solaris...).

19 авг. 2009 г.

Определяем конфигурацию компьютера в Debian


Хорошо, когда ты помнишь конфигурацию своего компьютера (думаю запомнить сколько у тебя оперативной памяти, какой объем жесткого диска или какой у тебя процессор и какая видео карта не так уж и сложно). Но что делать, если необходима более детальная конфигурация компьютера, где взять аналог Everest?
Один из вариантов-это воспользоваться командами:

cat /proc/cpuinfo, /usr/sbin/lspci -v, /usr/sbin/lsusb -v, cat /proc/scsi/scsi, 
Но это немного неудобно, хотя бы потому что необходимо постоянно вводить и запоминать команды. Есть альтернативный вариант, который, я думаю, подойдет и понравится многим, особенно тем, кто не привык работать в консоле. Имя этому варианту- lshw.
 i   lshw                                            - information about hardware configuration                 
i   lshw-gtk                                        - information about hardware configuration
Устанавливаем данную утилитку:
aptitude install lshw-gtk  
Причем, запускать можно консольный вариант программы, набрав lshw, либо же gui-шный вариант, набрав lshw-gtk.
Единственным нюансом является то, что при запуске программы от обычного пользователя отображается не полная информация. Для исправления данного нюанса программу необходимо запускать от root-а.

Установка emerald+compiz на Debian


Решил побаловаться с Emerald и преукрасить свой Debian при помощи Emerald и Compiz. Думаю приводить полную конфигурацию "лошадки" на которую будут ставиться все эти прелести нету необходимости. Стоит упомять лишь, что видеокарта GeForce 9600, ядро системы 2.6.26-1-amd64, окружение рабочего стола - Gnome версии 2.22.3 (да-да речь идет о стабильной версии Debian-Lenny).
Итак, начнем....

4 авг. 2009 г.

NO_PUBKEY

Использую зеркало Debian на ftp.byfly.by. При запуске команды
root: aptitude update 
выводилось сообщение:
W: GPG error: http://ftp.byfly.by stable Release: Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY 394D199524C52AC3 
Для устранения данной проблемы делаем следующее (команды вводятся от имени пользователя root):
gpg --keyserver wwwkeys.eu.pgp.net --recv-keys   394D199524C52AC3 
далее
 gpg --armor --export 394D199524C52AC3  | apt-key add - 
и обновляем список пакетов:
aptitude update 
 
upd: По каким-то непонятным причинам сайт wwwkeys.eu.pgp.net перестал работать. Возможно он еще оживет, а пока что альтернативный вариант: от рута в командной строке вводим:
apt-key adv --keyserver keyserver.ubuntu.com --recv недостающий_ключ
Может сложится ситуация, когда будет отсутствовать какой-то другой ключ, тогда вместо 394D199524C52AC3 указываем недостающий ключ, который будет выведен в сообщении об ошибке W: GPG error.
>

7 июл. 2009 г.

Взгляд на Kubuntu 9.04


Вот представился случай установить на свой компьютер Kubuntu 9.04. Если честно, то давно хотел посмотреть что добавили нового, сравнить со старыми версиями (K)ubuntu, Debian, но самым желанным было посмотреть что за зверь такой KDE 4.2- пишут много, отзывов и скринов много, но все это не то, захотелось самому поразбираться и узнать с чем его едят.

Устанавливал Kubuntu с Live-cd (ну что было в наличии- с того и ставил).

11 мая 2009 г.

Установка Skype на Debian x64

Решил поставить себе скайп, скачал с оф.сайта, но при установке система мне выдала ошибку:
 архитектура пакета (i386) не соответствует архитектуре системы (amd64) 
Для решения данной проблемы делаем следующее:
Устанавливаем необходимую библиотеку:
# aptitude install libqt3-mt 
Далее устанавливаем сам Skype при помощи команды:
# dpkg --force-architecture -i skype-debian_2.0.0.72-1_i386.deb  
Данная команда установит Skype, игнорируя проблемы. В данном случае несоответствие архитектур.

upd: Альтернативный вариант установки Skype-из репозиториев:
Добавляем ключ безопасности репозиториев Skyoe:
sudo apt-key adv --keyserver pgp.mit.edu --recv-keys 0xd66b746e

Добавляем сам репозиторий:
echo "deb http://download.skype.com/linux/repos/debian/ stable non-free" | sudo tee -a /etc/apt/sources.list > /dev/null 

Обновляем список пакетов:
aptitude update

Устанавливаем Skype:
sudo uptitude install Skype

.

Замена gdm на kdm и наоборот

Долгое время пользовался Gnome и соответственно по умолчанию установился оконный менеджер gdm. Сейчас перешел с gnome и kde и захотел поменять gdm на kdm. Один из вариантов-это заменить менеджеры через конфигуратор:
root: dpkg-reconfigure gdm 
Выбираем kdm. Теперь по умолчанию будет использоваться именно kdm.

Если же по умолчанию был установлен kdm и необходимо вернуться к gdm, то вводим:
root: dpkg-reconfigure kdm
Upd:
Если после данный операций kdm не стартует автоматически при старте системы, то делаем следующее:

15 апр. 2009 г.

Использование GnuPGP

Для начала пара слов о том, что же такое ключ PGP и зачем он нужен.
PGP (Pretty Good Privacy)-прикладная криптосистема, переводится как Довольно хорошая секретность.
В принципаз работы программы лежит использование асимметричной криптографии, которая использует взаимосвязные пары ключей: закрытый (хранится только у владельца и используется для расшифрования данный и их цифровой подписи) и открый (не нуждается в защите и может свободно распространяться для шифрования и для сверки цифровый подписей).

GnuPG (GNU Privacy Guard, Страж приватности GNU) — это свободный некоммерческий аналог PGP, как и PGP, основанный на IETF-стандарте OpenPGP.

Установка и настройка java и eclipse в Debian

Скачиваем подходяшую для Вас версию Eclipse. Скачиваем gwt-linux, скачиваем GXT.
Распаковываем все в любое удобное для Вас место, например
 /mnt/media/Java 
(раздел media, папка Java).
Далее устанавливаем sun-java6-jdk.Почему именно sun-java, ведь есть openjdk? Наличие последнего пакета не отрицаю, но с ним не очень дружит eclipse: версия 3.2 периодически вылетала с ошибками, а в версии 3,4 на отрез отказывались устанавливатся плагины.
Sun-java является проприетарной и находится в веткие non-free, поэтому проследите, что бы среди вашего списка зеркал в source.list были сделаны соответствующие записи, например такие:

Установка Adobe flash player в debian


Для установки flash player от adobe вводим команду:
 aptitude install flashplayer-mozilla  
Если в вашем репозитории нету данного пакета, тогда открываем source.list и добавляем в него репозиторий deb-multimedia.org
 deb http://www.deb-multimedia.org stable main 
обновляем список пакетов:
  aptitude update 
и устанавливаем плагин:
  aptitude install flashplayer-mozilla 


13 апр. 2009 г.

Настраиваем GXT в Eclipse 3.4 Ganymede

Необходимые компоненты:
1. Скачиваем и устанавливаем JDK 1.6 (я использовал 1.6.0_13. Для linux ипользование open-6-jdk нежелательно, т.к плагины эклипса с ним не устанавливаются).
2. Скачиваем Eclipse SDK 3.4 Ganymede (у меня была версия Eclipse SDK 3.4 Ganymede JEE для Windows).
3. Скачиваем GWT 1.6.4 (можно не скачивать отдельно, будет возможность установить с помощью Eclipse Update).
4. Скачиваем Ext-GWT/GXT 1.2.3

12 апр. 2009 г.

Qt приложения в gnome

Не секрет, что при запуске qt-приложения в gnome выглядят ужасно. Что бы исправить это недоразумение устанавливаем две утилитки и оформление polymer :

aptitute install qt3-config qt4-config polymer

Далее от имени пользователя запускаем
 qtconfig-qt3 
В появшемся окне в закладке Appearence выбираем установленное оформление Polymer

Шрифт я установил AIGDT , Style Normal, Point Size 10

Для настройке qt4 запускаем
 qtconfig-qt4 

В качестве темы можно выбрать тему CleanLooks. Шрифты на свой вкус и усмотрение.

5 апр. 2009 г.

Cannot talk to klauncher

Недавно столкнулся с такой проблемой: при запуске Qt приложений изпод Gnome выскакивала ошибка:

>Cannot talk to klauncher  

Сложно сказать из-за чего появился, но решение следующее: переходим в папку Вашего пользователя и удаляем файл примерно следующего содержания: .DCOPserver_*__0

  rm /home/Ваш_пользователь/.DCOPserver_*__0 

После удаления данного файла проблема исчезла.

Локальное зеркало из DVD

Для ознакомления читаем HOWTO: Репозиторий Debian

Подготавливаем все необходимое:
1.Устанавливаем пакет dpkg-dev, что бы можно было запустить пакет dpkg-scanpackages:
 aptitude install  dpkg-dev 
2. На любом разделе создаем папку mirror (у меня это раздел media):
$ mkdir /mnt/media/mirror 
3. Создаем папку для списка пакеов:
$ mkdir /mnt/media/mirror/binary 
4. Создаем дополнительную папку:
$ mkdir -p /mnt/media/mirror/dists/main/contrib/binary 
С названием папок в п.2 и п.3 могут быть нюансы: например у меня на отрез система отказалась считывать список файлов из папки binary и пыталась искать пакеты в папке binary-amd64 (архитектура процессора у меня amd64). Для остальных процессоров пробуем вначале имя binary, если не подойдет, то смотрим на какую папку будет ссылаться apt.
5. Со всех дисков копируем папку pool в папку /mnt/media/mirror
6. Переходим в папку mirror:
$ cd /mnt/media/mirror 
7. Создаем список пакетов:
$  dpkg-scanpackages . /dev/null | gzip -9c > binary/Packages.gz 
gzip -9c - создает архив пакетов.
8. Получившейся архив Packages.gz копируем в /mnt/media/mirror/dists/main/contrib/binary
9. Вносим изменения в sources.list - добавляем строчку:
deb ftp://localhost/mirror/ main contrib 
10. Обновляем список пакетов:
 aptitude update 

Зеркало готово.

29 мар. 2009 г.

Проблема установки патча Apocrypha 1.0.2

Решение справедливо для пропатчивания клиента с версии 84609 до 85476

В четверг 26 марта в EVE был установлен очередной патч Apocrypha 1.0.2 (Build 84609). Процесс установки патча на локальном компьютере прерывался сообщением о том, что файлы клиента повреждены и поэтому патч не может быть установлен. В начале думал, что скачан битый файл, но повторное скачивание патча проблемы не решило.
Полазив на форуме eve-ru обнаружил, что проблема с установкой патча не у меня одного и решается она следующим образом:

23 мар. 2009 г.

GNOME апплет для ведения блогов

Недавно среди обширного перечня пакетов в Debian Lenny наткнулся на программку gnome-blog, которая меня заинтересовала. Данная программа предназначена для публикования статей на блогах, не загружая интернет броузера. По умолчанию в настройках данной программы зашиты блоги: advogato, LiveJournal и конечно же Blogger.Кроме того в настройках имеется упоминание об ещё нескольких движках среди которых не менее популярный WordPress. Если для первой группы адреса уже сохранены в настройках и их изменять нельзя, то для второй группы ситуация диаметрально противоположная: адреса для данный группы ЖЖ надо будет вводить самостоятельно.. Другими функциями окно настроек не обладает, что с одной стороны и жаль.

14 мар. 2009 г.

EVE and Debian

С момента обещания о написании статьи про запуск EVE в Debian прошло много времени. За это время многое изменилось как в Debian, так и в самой EVE: вышел релиз Lenny, а мир EVE, в свою очередь может похвастаться выходом нового пата Apocrypha. Что нового в Debian и в EVE читаем на официальных сайтах.

Итак, что мы имеем:

Linux debian 2.6.26-1-amd64  x86_64 GNU/Linux

Клиент EVE Apocrypha

Wine 1.0.1-1.

12 мар. 2009 г.

Gnome-ppp -gtk альтернатива kppp

Для пользователей Gnome есть неплохая альтернатива звонилке kppp - это gnome-ppp.
По сравнению с kppp, gnome-ppp имеет меньше настроек (собственно, как и любое gtk-приложение). Для кого-то это хорошо, для кого-то не очень. В данном случае не в этом суть. Главное что для настройки интернет-подключения будет использоваться gtk-приложение (вариант с использованием gnome) и нету необходимости ставить qt-приложения.

8 мар. 2009 г.

Права доступа в Debian и команды chmod и chown

Думаю многие сталкивались с проблемой, когда необходимо было изменить пользователя/группу для папок/файлов. Самый доступный способ-это поковыряться в меню mc (midnight commander), но что делать, когда нужно сменить права и пользователя не для папки и подпапок. Вручную решать данную проблему не самый лучший вариант. Наверняка многие слышали либо мельком видели такие команды chmod и chown, некоторым наверняка даже приходилось пользоваться командами.Честно признаться сам долгое время старался всячески избегать данных команд, т.к копаться в манах не было ни малейшего желания. Однако, в итоге был вынужден использовать данные команды. В общем сразу к делу.

4 мар. 2009 г.

Первые впечатления о Windows 7

Предыстория....
О том, что вышла бета-версия новой Windows 7 в интернете читал давно, даже сравнительные тесты между Ubuntu, Vista и Windows 7 успел прочитать, но скачивать новый продукт мелкомягких не торопился: во-первых, не было никакого желания качать виндовз, да еще и бета-версию, а во-вторых, не было возможности это сделать (хотя честно признаюсь, что очень хотелось посмотреть на новое детище мелкомягких, тем более что сами мелкомягкие так красочно описывали новые «фишки» и возможности новой windows). Однако, общаясь с другом, (Rams) выяснилось, что у него имеется 7000 билд Windows 7 и, естественно, любопытство одержало верх :) В общем обзавелся я диском с новым «чудом» от майкрасофт и …..

28 февр. 2009 г.

Написание сервлетов в Java при помощи NetBeans

Название статьи решил сделать общей: в данной статье речь пойдет больше не о самих сервлетах (о их написании можно прочитать в любой мало-мальски грамотной и не очень книге/статье). Здесь хотелось бы рассказать как написать сервлет (заставить его работать в NetBeans), т.к. во многих книгах описыватеся сам процесс написание сервлета и его запуск без IDE. Так вот, что бы не ломать голову и не равть на ней волосы строя докадки как это сделать просто и непринцжденно в NetBeans читаем статью дальше....

26 февр. 2009 г.

Первые шаги с JAVA (windows)

Итак, для знакомства нам понадобиться (привожу список ПО с которым начинал/начинаю занкомство я. Данынй список не претендует на идиальный список и естественно может быть изменен по собственные нужны каждого ):
jdk-1.6 ;
apache-tomcat-5.5.12;
IDE (eclipse либо NetBeans);
плагины:
 com.sysdeo.eclipse.tomcat (eclipse);
WebServices (NetBeans);
WebApplication(NetBeans);
TomCat (NetBeans).

Я и Java

Вот решился-таки познакомиться с языком программирования Java. От части из-за склонности к программированию (за школьные и студенческие годы пробовал осваивать много разных языков, но серьезно ни один из языков не освоил), а также из-за необходимости написания собственной программы. Сам работаю в области энергетики и то, при помощи каких «программ» производятся расчеты вгоняет в уныние, причем это еще мягко сказано.
Я долго не мог определиться с языком программирования. Стоял выбор между C# и Java. Взвесив все за и против решено было остановиться на Java. Основным преимуществом выбора данного языка была его кроссплатформенность, а также наличие друга, он же Rams, который помогает в освоении данного языка.
Приводить сравнение данных языков не буду-их полно в интернете и еще один холивар на тему C# VS JAVA тут ни к чему.

В общем по возможности буду описывать наиболее полезные моменты, связанные с Java.

Social